Skip to main content
GET
Get one rs or na user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "roles": Adds each role assignment's role { id, name }, unitIds and itIds.
  • "profession": Adds profession { id, name, color } (default select only has professionId).
  • "activation-status": Adds pending (true while the identity has not activated its account yet).
  • "actions-info": Adds actions { canBeArchived, canBeUnarchived }.
  • "units": Adds units { id, ref, name } - the units the user is posted to.
  • "responsibilities": Adds responsibilities - what this user is responsible for, with each target named.
Available options:
roles,
profession,
activation-status,
actions-info,
units,
responsibilities

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
type
enum<string>
required
Available options:
rs,
na
organizationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
archivedAt
string<date-time> | null
required
affiliation
enum<string> | null
required
Available options:
internal,
external
professionId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
identity
object
required
createdAt
string<date-time>
required
roles
object[]
profession
object | null
pending
boolean
actions
object
units
object[]
responsibilities
object[]